<script>
    let num_times = 0
    const width = 800;
    const height = 100;
    const margin = { top: 5, right: 5, bottom: 5, left: 5 };
    const innerWidth = width - margin.left - margin.right;
    const innerHeight = height - margin.top - margin.bottom;
    
    function incrementer() {
        num_times = num_times+1;
    }
    
    function resetCounter() {
        num_times = 0;
    }
</script>

    <button class="btn btn-primary" on:click={incrementer}>You clicked {num_times} times.</button>
    <button class="btn btn-warning" type='button' on:click={resetCounter}>Reset </button>
